lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'back_run/version'

Gem::Specification.new do |spec|
  spec.name          = 'back_run'
  spec.version       = BackRun::VERSION
  spec.authors       = ['Alan Halatian']
  spec.email         = ['alanhalatian@gmail.com']

  spec.summary       = 'Background job system to use with Rails based on Google Pub Sub'
  spec.license       = 'MIT'

  spec.executables << 'back_run'
  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = 'bin'
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 1.17'
  spec.add_development_dependency 'pry-byebug', '~> 3.7'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
  spec.add_development_dependency 'rspec-mocks', '~> 3.0'
  spec.add_development_dependency 'rubocop', '~> 0.73.0'

  spec.add_dependency 'activesupport', '~> 5.2'
  spec.add_dependency 'concurrent-ruby', '~> 1.1'
  spec.add_dependency 'google-cloud-pubsub', '~> 0.37'
  spec.add_dependency 'thor', '~> 0.20'
end
